libcamera v0.7.2 Supporting cameras in Linux since 2019

Loading...
Searching...
No Matches
lux.h File Reference

Helper class that implements lux estimation. More...

`#include <libcamera/base/utils.h>`
Include dependency graph for lux.h:

Go to the source code of this file.

## Classes
class | libcamera::ipa::Lux
| Class that implements lux estimation. More...

## Namespaces
namespace | libcamera
| Top-level libcamera namespace.
namespace | libcamera::ipa
| The IPA (Image Processing Algorithm) namespace.

## Detailed Description

Helper class that implements lux estimation.

Estimating the lux level of an image is a common operation that can for instance be used to adjust the target Y value in AGC or for Bayesian AWB estimation.